API referenceFlights
Flight timeline
Upstream change history for a flight leg, newest first.
Upstream change history for a flight leg, newest first.
Authorization
apiKey x-api-key<token>
Your FlightByte API key. Request one at https://flightbyte.dev/get-api-key.
In: header
Path Parameters
carrier*string
flightNumber*string
date*string
Query Parameters
origin?string
destination?string
Response Body
application/json
curl -X GET "https://example.com/v1/flights/string/string/string/timeline"[ { "occurredAt": "2026-09-09T10:38:16.000Z", "title": "Time Adjustment", "source": "Airline", "events": [ "Actual Gate Arrival changed to 13:35" ] }]